Veeam v8 and v9 co-exist

Availability for the Always-On Enterprise

Veeam v8 and v9 co-exist

Veeam Logoby ferrus » Thu Feb 11, 2016 10:18 am

We've had the first phase of our Veeam installation running for four months now.
This is our first Veeam system, and it's running well on three B&R/EM servers at v8.

There have already been a number or requests for restores that can't be fulfilled by v8, but could have been by new features in v9.
We still have to roll out another two Veeam servers at a DR site, for a small number of VM backups and Replication from the Live site.

We're keen to move forward to the new version, but have to take a conservative approach, as v9 has just been released.

Would it be possible to use v9 at the DR site, and keep v8 for the main backup site for now?
Can anyone forsee any issues with the two versions co-existing, when we'll be using Replication/WAN acceleration between the two?
ferrus
Veeam ProPartner
 
Posts: 132
Liked: 20 times
Joined: Thu Dec 03, 2015 3:41 pm
Location: UK

Re: Veeam v8 and v9 co-exist

Veeam Logoby foggy » Thu Feb 11, 2016 10:28 am

Provided no same servers are involved in both installations, you should be fine. Veeam B&R components that have different versions cannot coexist on the same server.
foggy
Veeam Software
 
Posts: 14903
Liked: 1094 times
Joined: Mon Jul 11, 2011 10:22 am
Full Name: Alexander Fogelson

Re: Veeam v8 and v9 co-exist

Veeam Logoby ferrus » Fri Mar 04, 2016 3:57 pm

Think I might have run into a problem. Can you confirm this is a version issue and not some configuration error I've done:

Trying a WAN acceleration speed test - but it only lists the local WAN Acceleration Caches, in the Replication job setup dialog.

I've tried to add the remote Veeam v9 server on through the v8 console (to populate the Target Caches?), but just get the error "Backup console version '8.0.0.2084' is not compatible with service installer on host"
ferrus
Veeam ProPartner
 
Posts: 132
Liked: 20 times
Joined: Thu Dec 03, 2015 3:41 pm
Location: UK

Re: Veeam v8 and v9 co-exist

Veeam Logoby foggy » Fri Mar 04, 2016 4:57 pm

As I said, components having different versions cannot coexist. You need to have a separate WAN accelerator server for your v8 installation.
foggy
Veeam Software
 
Posts: 14903
Liked: 1094 times
Joined: Mon Jul 11, 2011 10:22 am
Full Name: Alexander Fogelson

[MERGED] Backup Console version '8.0.0.2084' is not compatib

Veeam Logoby AntoineG » Thu Aug 24, 2017 12:46 pm

:?: Hello

Sorry for my english :)
I encountered a problem on one of my Veeam servers.
I installed Veeam 8 update 3, but in the end I do not have the update window for the components. I think that is the cause of my problem.
I have the error: Error: Backup Console version '8.0.0.2084' is not compatible with Install service on host '...'
The "upgrade" box of "this server" is grayed out, would you have a solution?

Thank you in advance for your answers.
AntoineG
Lurker
 
Posts: 1
Liked: never
Joined: Thu Aug 24, 2017 12:29 pm
Full Name: Antoine GONEZ

Re: Backup Console version '8.0.0.2084' is not compatible

Veeam Logoby DGrinev » Thu Aug 24, 2017 2:11 pm

Hello Antoine and welcome to the community!

You said "one of my Veeam servers", so I can suggest there are different versions of the Veeam servers.
However, components installed on the managed servers should be the same version with the backup server.
Please review this thread for additional information. Thanks!
DGrinev
Veeam Software
 
Posts: 466
Liked: 57 times
Joined: Thu Dec 01, 2016 3:49 pm
Full Name: Dmitry Grinev


Return to Veeam Backup & Replication



Who is online

Users browsing this forum: tdewin, the_mentor and 45 guests